<?php
require_once(getabspath("classes/cipherer.php"));
$tdataregistrar_venta = array();
	$tdataregistrar_venta[".NumberOfChars"] = 80; 
	$tdataregistrar_venta[".ShortName"] = "registrar_venta";
	$tdataregistrar_venta[".OwnerID"] = "";
	$tdataregistrar_venta[".OriginalTable"] = "ciudad";

//	field labels
$fieldLabelsregistrar_venta = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsregistrar_venta["Spanish"] = array();
	$fieldToolTipsregistrar_venta["Spanish"] = array();
	$fieldLabelsregistrar_venta["Spanish"]["idciudad"] = "Idciudad";
	$fieldToolTipsregistrar_venta["Spanish"]["idciudad"] = "";
	$fieldLabelsregistrar_venta["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsregistrar_venta["Spanish"]["nombre"] = "";
	if (count($fieldToolTipsregistrar_venta["Spanish"]))
		$tdataregistrar_venta[".isUseToolTips"] = true;
}
	
	
	$tdataregistrar_venta[".NCSearch"] = true;



$tdataregistrar_venta[".shortTableName"] = "registrar_venta";
$tdataregistrar_venta[".nSecOptions"] = 0;
$tdataregistrar_venta[".recsPerRowList"] = 1;
$tdataregistrar_venta[".mainTableOwnerID"] = "";
$tdataregistrar_venta[".moveNext"] = 1;
$tdataregistrar_venta[".nType"] = 1;

$tdataregistrar_venta[".strOriginalTableName"] = "ciudad";




$tdataregistrar_venta[".showAddInPopup"] = false;

$tdataregistrar_venta[".showEditInPopup"] = false;

$tdataregistrar_venta[".showViewInPopup"] = false;

$tdataregistrar_venta[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdataregistrar_venta[".listAjax"] = true;
else 
	$tdataregistrar_venta[".listAjax"] = false;

	$tdataregistrar_venta[".audit"] = false;

	$tdataregistrar_venta[".locking"] = false;





$tdataregistrar_venta[".showSimpleSearchOptions"] = false;

$tdataregistrar_venta[".showSearchPanel"] = true;

if (isMobile())
	$tdataregistrar_venta[".isUseAjaxSuggest"] = false;
else 
	$tdataregistrar_venta[".isUseAjaxSuggest"] = true;

$tdataregistrar_venta[".rowHighlite"] = true;

// button handlers file names

$tdataregistrar_venta[".addPageEvents"] = false;

// use timepicker for search panel
$tdataregistrar_venta[".isUseTimeForSearch"] = false;




$tdataregistrar_venta[".allSearchFields"] = array();

$tdataregistrar_venta[".allSearchFields"][] = "nombre";

$tdataregistrar_venta[".googleLikeFields"][] = "idciudad";
$tdataregistrar_venta[".googleLikeFields"][] = "nombre";


$tdataregistrar_venta[".advSearchFields"][] = "nombre";

$tdataregistrar_venta[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdataregistrar_venta[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataregistrar_venta[".strOrderBy"] = $tstrOrderBy;

$tdataregistrar_venta[".orderindexes"] = array();

$tdataregistrar_venta[".sqlHead"] = "SELECT idciudad,   nombre";
$tdataregistrar_venta[".sqlFrom"] = "FROM ciudad";
$tdataregistrar_venta[".sqlWhereExpr"] = "";
$tdataregistrar_venta[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataregistrar_venta[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataregistrar_venta[".arrGroupsPerPage"] = $arrGPP;

$tableKeysregistrar_venta = array();
$tableKeysregistrar_venta[] = "idciudad";
$tdataregistrar_venta[".Keys"] = $tableKeysregistrar_venta;

$tdataregistrar_venta[".listFields"] = array();

$tdataregistrar_venta[".viewFields"] = array();

$tdataregistrar_venta[".addFields"] = array();

$tdataregistrar_venta[".inlineAddFields"] = array();

$tdataregistrar_venta[".editFields"] = array();

$tdataregistrar_venta[".inlineEditFields"] = array();

$tdataregistrar_venta[".exportFields"] = array();

$tdataregistrar_venta[".printFields"] = array();

//	idciudad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idciudad";
	$fdata["GoodName"] = "idciudad";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Idciudad"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idciudad"; 
		$fdata["FullName"] = "idciudad";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataregistrar_venta["idciudad"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		$fdata["bAdvancedSearch"] = true; 
	
		
		
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				$fdata["FieldPermissions"] = true;
	
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdataregistrar_venta["nombre"] = $fdata;

	
$tables_data["registrar_venta"]=&$tdataregistrar_venta;
$field_labels["registrar_venta"] = &$fieldLabelsregistrar_venta;
$fieldToolTips["registrar_venta"] = &$fieldToolTipsregistrar_venta;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["registrar_venta"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["registrar_venta"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_registrar_venta()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idciudad,   nombre";
$proto0["m_strFrom"] = "FROM ciudad";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idciudad",
	"m_strTable" => "ciudad"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "ciudad"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "ciudad";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "idciudad";
$proto10["m_columns"][] = "nombre";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_alias"] = "";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = "0";
$proto11["m_inBrackets"] = "0";
$proto11["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_registrar_venta = createSqlQuery_registrar_venta();
		$tdataregistrar_venta[".sqlquery"] = $queryData_registrar_venta;
	
if(isset($tdataregistrar_venta["field2"])){
	$tdataregistrar_venta["field2"]["LookupTable"] = "carscars_view";
	$tdataregistrar_venta["field2"]["LookupOrderBy"] = "name";
	$tdataregistrar_venta["field2"]["LookupType"] = 4;
	$tdataregistrar_venta["field2"]["LinkField"] = "email";
	$tdataregistrar_venta["field2"]["DisplayField"] = "name";
	$tdataregistrar_venta[".hasCustomViewField"] = true;
}

include_once(getabspath("include/registrar_venta_events.php"));
$tableEvents["registrar_venta"] = new eventclass_registrar_venta;
$tdataregistrar_venta[".hasEvents"] = true;

$cipherer = new RunnerCipherer("registrar_venta");

?>